<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_CSS}}"></link>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CKEDITOR_CSS}}"></link>
</head>
<body>
  <div class="ui main container" th:fragment="page" id="new">
    <th:block th:replace="common/fragments/elements :: title(text = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EPICS}}, 
                                                             icon = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_EPICS}, 
                                                             url = @{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_EPICS}})" 
                                                             />
    <form class="ui form" id="epics-form" method="post" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_EPICS_SAVE}}" th:object="${epic}">
      <input type="hidden" th:field="*{status}" />
      <input type="hidden" th:field="*{id}" />
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
                                                                 field = 'name', 
                                                                 required = true, 
                                                                 maxlength = 120, 
                                                                 placeholder = '',
                                                                 columnsize = 'eleven wide'
                                                                 )" />
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAM}}, 
                                                                     field = 'team.id', 
                                                                     options = ${teams},
                                                                     optionfield = 'item.name',
                                                                     required = true,
                                                                     columnsize = 'five wide',
                                                                     emptyoption = false
                                                                     )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: textarea(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}, 
                                                                 field = 'description', 
                                                                 required = false, 
                                                                 maxlength = 80, 
                                                                 placeholder = '',
                                                                 columnsize = 'sixteen wide'
                                                                 )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                              icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                              icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_EPICS},
                                                              icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                              icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                              icon2url = ''
                                                              )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CKEDITOR_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_EPICS_JS}}"></script>
</body>
</html>